#include "zeusmp.def"

C JCV - 06/14/07

c=======================================================================
c
c    \\\\\\\\\\      B E G I N   S U B R O U T I N E      //////////
c    //////////             D R O P L E T                 \\\\\\\\\\
c
c=======================================================================
c
       subroutine droplet

       implicit NONE
#include "mod_names.h"
#include "param.h"
#include "field.h"
#include "bndry.h"
#include "grid.h"
#include "root.h"
#include "scratch.h"
#include "mpicom.h"

       integer i,j,k

       if(myid.eq.0)then
          write(*,*)"Droplet problem setup."
       endif
c
c
      do k=ks-2,ke+2
         do j=js-2,je+2
            do i=is-2,ie+2
               e(i,j,k)=2.5
               d(i,j,k)=1.0
               v1(i,j,k)=0.0
               v2(i,j,k)=0.0
               v3(i,j,k)=0.0
               gp(i,j,k)=1.0
c Droplet
               d(i,j,k)=2.0
            enddo
         enddo
      enddo

      return
      end
